
	/**
	 * Este modulo permite realizar un mejor debugger de twitbin. Provee de las operaciones necesarias para mostrar mensajes de alerta con
	 * informacion importante para el debugger. Al activar por medio de la operacion activate, los mensajes comienzan a mostrarse, luego
	 * al llamar a la operacion deActivate se desactivan dichos mensajes.
	 **/
	var Debug= function(){
		this.active = false;
	}

	Debug.prototype = {
		activate: function  activate (){
			this.active = true;
		},

		deActivate: function  deActivate (){
			this.active = false;
		},

		showMessage: function showMessage(message){
			if(this.active){
				twitbin.message.showMessage(message);
			}
		},

		jsonToString: function jsonToString(json){
			return JSON.stringify(json);
		},

}//of prototype Debug