/**
 * Este modulo se encarga de hacer los llamados asincronicos necesarios para la comunicacion de twitbin con las distintas API's que
 * se manejan.
 * Mozilla no permite que los addons hagan uso de la funcion eval provista por javascript, por lo tanto este modulo
 * se encarga de realizar los llamados correspondientes, realizando manualmente las acciones que realizaria la funcion eval.
 **/
var CallBack = function(){
}

CallBack.prototype = {

	/**
	 * Chequea que la funcion que se esta queriendo llamar sea valida
	 **/
	valid: function valid(name){
		if(name =="twitbin.twitter.requestToken"){
			return true;
		}else if(name =="twitbin.afterRequestPin"){
			return true;
		}else if(name =="twitbin.twitter.Auth"){
			return true;
		}else if(name =="twitbin.afterAuthorize"){
			return true;
		}else if(name =="twitbin.twitter.getUserInformation"){
			return true;
		}else if(name=="twitbin.saveUserAndInitSession"){
			return true;
		}else if(name=="twitbin.afterLogUser"){
			return true;
		}else if(name=="twitbin.twitter.getRateLimitStatus"){
			return true;
		}else if(name=="twitbin.afterGetRateLimitStatus"){
			return true;
		}else if(name=="twitbin.taskScheduler.delayScheduler"){
			return true;
		}else if(name=="twitbin.twitter.hasFriendship"){
			return true;
		}else if(name=="twitbin.afterFollow_unfollow"){
			return true;
		}else if(name=="twitbin.twitter.unfollowUser"){
			return true;
		}else if(name=="twitbin.afterUnfollowUser"){
			return true;
		}else if(name=="twitbin.twitter.followUser"){
			return true;
		}else if(name=="twitbin.afterFollowUser"){
			return true;
		}else if(name=="twitbin.afterSendFollowRequestUser"){
			return true;
		}else if(name=="twitbin.twitter.blockUser"){
			return true;
		}else if(name=="twitbin.afterBlockUser"){
			return true;
		}else if(name=="twitbin.twitter.reportSpam"){
			return true;
		}else if(name=="twitbin.afterReportUserAsSpamer"){
			return true;
		}else if(name=="twitbin.twitter.newPost"){
			return true;
		}else if(name=="twitbin.afterUpdateStatus"){
			return true;
		}else if(name=="twitbin.twitter.deleteTweet"){
			return true;
		}else if(name=="twitbin.afterDeleteStatus"){
			return true;
		}else if(name=="twitbin.twitter.retweet"){
			return true;
		}else if(name=="twitbin.afterRetweetStatus"){
			return true;
		}else if(name=="twitbin.twitter.addToFavorites"){
			return true;
		}else if(name=="twitbin.updateTweetAsFavorite"){
			return true;
		}else if(name=="twitbin.twitter.removeOfFavorites"){
			return true;
		}else if(name=="twitbin.updateTweetAsNotFavorite"){
			return true;
		}else if(name=="twitbin.twitter.getTimeLineTweets"){
			return true;
		}else if(name=="twitbin.saveAndShowTweets"){
			return true;
		}else if(name=="twitbin.twitter.getMentions"){
			return true;
		}else if(name=="twitbin.twitter.getRetweetedByMe"){
			return true;
		}else if(name=="twitbin.saveObtainedRetweetedByMe"){
			return true;
		}else if(name=="twitbin.twitter.getFavorites"){
			return true;
		}else if(name=="twitbin.saveObtainedFavorites"){
			return true;
		}else if(name=="twitbin.directMessages_allows_step_two"){
			return true;
		}else if(name=="twitbin.afterDirectMessages_allows"){
			return true;
		}else if(name=="twitbin.twitter.getDirectMessages"){
			return true;
		}else if(name=="twitbin.saveAndShowDirectMessages"){
			return true;
		}else if(name=="twitbin.twitter.getDirectMessagesSent"){
			return true;
		}else if(name=="twitbin.twitter.sendDirectMessage"){
			return true;
		}else if(name=="twitbin.afterSendDirectMessage"){
			return true;
		}else if(name=="twitbin.twitter.deleteDirectMessage"){
			return true;
		}else if(name=="twitbin.afterDeleteDirectMessage"){
			return true;
		}else if(name=="twitbin.twitter.getLists"){
			return true;
		}else if(name=="twitbin.saveAndShowLists"){
			return true;
		}else if(name=="twitbin.twitter.getListTweets"){
			return true;
		}else if(name=="twitbin.saveAndShowTweetsList"){
			return true;
		}else if(name=="twitbin.twitter.getSavedSearch"){
			return true;
		}else if(name=="twitbin.saveAndShowSearches"){
			return true;
		}else if(name=="twitbin.twitter.search"){
			return true;
		}else if(name=="twitbin.saveAndShowTweetsOfsavedSearch"){
			return true;
		}else if(name=="twitbin.saveAndShowTweetsOfSearch"){
			return true;
		}else if(name=="twitbin.twitter.saveSearch"){
			return true;
		}else if(name=="twitbin.afterSaveTempSearch"){
			return true;
		}else if(name=="twitbin.twitter.deleteSearch"){
			return true;
		}else if(name=="twitbin.afterDeleteSearch"){
			return true;
		}else if(name=="twitbin.twitter.getPublicTweets"){
			return true;
		}else if(name=="twitbin.saveAndShowPublicTweets"){
			return true;
		}else if(name=="twitbin.shortenUrl.short"){
			return true;
		}else if(name=="twitbin.afterShortenURL"){
			return true;
		}else if(name=="twitbin.mediaUploader.sharePhoto"){
			return true;
		}else if(name=="twitbin.afterPostPhoto"){
			return true;
		}else{
			return false;
		}
	},

	/**
	 * Ejecuta las funciones necesarias.
	 **/
	execute: function execute(data){
		//alert(data.f1);
		switch(data.f1){
			case "twitbin.twitter.requestToken": 
						twitbin.twitter.requestToken(data.f2,data.p2);
						break
			case "twitbin.afterRequestPin": 
						twitbin.afterRequestPin(data.p1[0]);
						break
			case "twitbin.twitter.Auth": 
						twitbin.twitter.Auth(data.p1[0],data.p1[1], data.p1[2],data.f2,data.p2);
						break
			case "twitbin.afterAuthorize": 
						twitbin.afterAuthorize(data.p1[0],data.p1[1],data.p1[2]);
						break
			case "twitbin.twitter.getUserInformation": 
						twitbin.twitter.getUserInformation(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.saveUserAndInitSession":
						twitbin.saveUserAndInitSession(data.p1[0],data.p1[1]);
						break
			case "twitbin.checkLogin":
						twitbin.checkLogin();
						break
			case "twitbin.afterLogUser": 
						twitbin.afterLogUser(data.p1[0]);
						break
			case "twitbin.twitter.getConfiguration":
						twitbin.twitter.getConfiguration(data.f2,data.p2);
						break
			case "twitbin.afterGetConfiguration":
						twitbin.afterGetConfiguration(data.p1[0]);
						break
			case "twitbin.twitter.getRateLimitStatus":
						twitbin.twitter.getRateLimitStatus(data.f2,data.p2);
						break
			case "twitbin.afterGetRateLimitStatus":
						twitbin.afterGetRateLimitStatus(data.p1[0]);
						break
			case "twitbin.taskScheduler.delayScheduler":
						twitbin.taskScheduler.delayScheduler(data.p1[0]);
						break
			case "twitbin.twitter.hasFriendship":
						twitbin.twitter.hasFriendship(data.p1[0],data.p1[1],data.f2,data.p2);
						break
			case "twitbin.follow_unfollow":
						twitbin.follow_unfollow(data.p1[0],data.p1[1]);
						break
			case "twitbin.afterFollow_unfollow":
						twitbin.afterFollow_unfollow(data.p1[0],data.p1[1],data.p1[2]);
						break
			case "twitbin.twitter.unfollowUser":
						twitbin.twitter.unfollowUser(data.p1[0],data.p1[1],data.f2,data.p2);
						break
			case "twitbin.afterUnfollowUser":
						twitbin.afterUnfollowUser(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.followUser":
						twitbin.twitter.followUser(data.p1[0],data.p1[1],data.f2,data.p2);
						break
			case "twitbin.afterFollowUser":
						twitbin.afterFollowUser(data.p1[0],data.p1[1]);
						break
			case "twitbin.afterSendFollowRequestUser":
						twitbin.afterSendFollowRequestUser(data.p1[0],data.p1[1]);
						break
			case "twitbin.blockUser":
						twitbin.blockUser(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.blockUser":
						twitbin.twitter.blockUser(data.p1[0],data.p1[1],data.f2,data.p2);
						break
			case "twitbin.afterBlockUser":
						twitbin.afterBlockUser(data.p1[0]);
						break
			case "twitbin.reportUserAsSpamer":
						twitbin.reportUserAsSpamer(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.reportSpam":
						twitbin.twitter.reportSpam(data.p1[0],data.p1[1],data.f2,data.p2);
						break
			case "twitbin.afterReportUserAsSpamer":
						twitbin.afterReportUserAsSpamer(data.p1[0]);
						break
			case "twitbin.twitter.newPost":
						twitbin.twitter.newPost(data.p1[0],data.p1[1],data.f2,data.p2);
						break
			case "twitbin.afterUpdateStatus":
						twitbin.afterUpdateStatus(data.p1[0]);
						break
			case "twitbin.deleteStatus":
						twitbin.deleteStatus(data.p1[0]);
						break
			case "twitbin.twitter.deleteTweet":
						twitbin.twitter.deleteTweet(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.afterDeleteStatus":
						twitbin.afterDeleteStatus(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.retweet":
						twitbin.twitter.retweet(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.retweetStatus":
						twitbin.retweetStatus(data.p1[0]);
						break
			case "twitbin.afterRetweetStatus":
						twitbin.afterRetweetStatus(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.addToFavorites":
						twitbin.twitter.addToFavorites(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.updateTweetAsFavorite":
						twitbin.updateTweetAsFavorite(data.p1[0]);
						break
			case "twitbin.twitter.removeOfFavorites":
						twitbin.twitter.removeOfFavorites(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.updateTweetAsNotFavorite":
						twitbin.updateTweetAsNotFavorite(data.p1[0]);
						break
			case "twitbin.twitter.getTimeLineTweets":
						twitbin.twitter.getTimeLineTweets(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.saveAndShowTweets":
						twitbin.saveAndShowTweets(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.getMentions":
						twitbin.twitter.getMentions(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.twitter.getRetweetedByMe":
						twitbin.twitter.getRetweetedByMe(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.saveObtainedRetweetedByMe":
						twitbin.saveObtainedRetweetedByMe(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.getFavorites":
						twitbin.twitter.getFavorites(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.saveObtainedFavorites":
						twitbin.saveObtainedFavorites(data.p1[0],data.p1[1]);
						break
			case "twitbin.directMessages_allows_step_two":
						twitbin.directMessages_allows_step_two(data.p1[0],data.p1[1],data.p1[2],data.p1[3]);
						break
			case "twitbin.afterDirectMessages_allows":
						twitbin.afterDirectMessages_allows(data.p1[0],data.p1[1],data.p1[2]);
						break
			case "twitbin.twitter.getDirectMessages":
						twitbin.twitter.getDirectMessages(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.saveAndShowDirectMessages":
						twitbin.saveAndShowDirectMessages(data.p1[0]);
						break
			case "twitbin.twitter.getDirectMessagesSent":
						twitbin.twitter.getDirectMessagesSent(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.twitter.sendDirectMessage":
						twitbin.twitter.sendDirectMessage(data.p1[0],data.p1[1],data.p1[2],data.f2,data.p2);
						break
			case "twitbin.afterSendDirectMessage":
						twitbin.afterSendDirectMessage(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.deleteDirectMessage":
						twitbin.twitter.deleteDirectMessage(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.afterDeleteDirectMessage":
						twitbin.afterDeleteDirectMessage(data.p1[0]);
						break
			case "twitbin.twitter.getLists":
						twitbin.twitter.getLists(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.saveAndShowLists":
						twitbin.saveAndShowLists(data.p1[0]);
						break
			case "twitbin.twitter.getListTweets":
						twitbin.twitter.getListTweets(data.p1[0],data.p1[1],data.f2,data.p2);
						break
			case "twitbin.saveAndShowTweetsList":
						twitbin.saveAndShowTweetsList(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.getSavedSearch":
						twitbin.twitter.getSavedSearch(data.f2,data.p2);
						break
			case "twitbin.saveAndShowSearches":
						twitbin.saveAndShowSearches(data.p1[0]);
						break
			case "twitbin.twitter.search":
						twitbin.twitter.search(data.p1[0],data.p1[1],data.f2,data.p2);
						break
			case "twitbin.saveAndShowTweetsOfsavedSearch":
						twitbin.saveAndShowTweetsOfsavedSearch(data.p1[0],data.p1[1]);
						break
			case "twitbin.saveAndShowTweetsOfSearch":
						twitbin.saveAndShowTweetsOfSearch(data.p1[0]);
						break
			case "twitbin.twitter.saveSearch":
						twitbin.twitter.saveSearch(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.afterSaveTempSearch":
						twitbin.afterSaveTempSearch(data.p1[0],data.p1[1]);
						break
			case "twitbin.twitter.deleteSearch":
						twitbin.twitter.deleteSearch(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.afterDeleteSearch":
						twitbin.afterDeleteSearch(data.p1[0]);
						break
			case "twitbin.twitter.getPublicTweets":
						twitbin.twitter.getPublicTweets(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.saveAndShowPublicTweets":
						twitbin.saveAndShowPublicTweets(data.p1[0]);
						break
			case "twitbin.loadAllList":
						//twitbin.loadAllList();
						setTimeout(function(){twitbin.loadAllList();});
						break
			case "twitbin.loadAllSearches":
						//twitbin.loadAllSearches();
						setTimeout(function(){twitbin.loadAllSearches();});
						break
			case "twitbin.LoadDirectMessages":
						//twitbin.LoadDirectMessages();
						setTimeout(function(){twitbin.LoadDirectMessages();});
						break
			case "twitbin.LoadDirectMessagesSent":
						//twitbin.LoadDirectMessagesSent();
						setTimeout(function(){twitbin.LoadDirectMessagesSent();});
						break
			case "twitbin.loadTimeLineTweets":
						//twitbin.loadTimeLineTweets();
						setTimeout(function(){twitbin.loadTimeLineTweets();});
						break
			case "twitbin.loadMentionsTweets":
						//twitbin.loadMentionsTweets();
						setTimeout(function(){twitbin.loadMentionsTweets();});
						break
			case "twitbin.loadTweetsOfList":
						twitbin.loadTweetsOfList(data.p1[0]);
						break
			case "twitbin.loadTweetsOfSavedSearch":
						twitbin.loadTweetsOfSavedSearch(data.p1[0]);
						break
			case "twitbin.afterPostPhoto":
						twitbin.afterPostPhoto(data.p1[0]);
						break
			case "twitbin.afterPostPhotoDM":
						twitbin.afterPostPhotoDM(data.p1[0]);
						break
			case "twitbin.startTempSearch":
						twitbin.startTempSearch(data.p1[0]);
						break
			case "twitbin.viewController.viewInterface.setTweetTextarea":
						twitbin.viewController.viewInterface.setTweetTextarea(data.p1[0]);
						break
			case "twitbin.shortenUrl.short":
						twitbin.shortenUrl.short(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.afterShortenURL":
						twitbin.afterShortenURL(data.p1[0],data.p1[1],data.p1[2],data.p1[3]);
						break
			case "twitbin.mediaUploader.sharePhoto":
						twitbin.mediaUploader.sharePhoto(data.p1[0],data.f2,data.p2);
						break
			case "twitbin.dbtwitbin.create_database":
						twitbin.dbtwitbin.create_database();
						break
			case "twitbin.dbtwitbin.truncateTable_users":
						twitbin.dbtwitbin.truncateTable_users();
						break
			case "twitbin.dbtwitbin.truncateTable_preferences":
						twitbin.dbtwitbin.truncateTable_preferences();
						break
			case "twitbin.dbtwitbin.updateTable_preferences":
						twitbin.dbtwitbin.updateTable_preferences();
						break
			case "twitbin.dbtwitbin.truncateTable_temp_tweets":
						twitbin.dbtwitbin.truncateTable_temp_tweets();
						break
			case "twitbin.dbtwitbin.truncateTable_lists":
						twitbin.dbtwitbin.truncateTable_lists();
						break
			case "twitbin.dbtwitbin.truncateTable_tweet_Lists":
						twitbin.dbtwitbin.truncateTable_tweet_Lists();
						break
			case "twitbin.dbtwitbin.truncateTable_searches":
						twitbin.dbtwitbin.truncateTable_searches();
						break
			case "twitbin.dbtwitbin.truncateTable_tweets_search":
						twitbin.dbtwitbin.truncateTable_tweets_search();
						break
			case "twitbin.dbtwitbin.truncateTable_direct_messages":
						twitbin.dbtwitbin.truncateTable_direct_messages();
						break
			case "twitbin.dbtwitbin.truncateTable_tweets":
						twitbin.dbtwitbin.truncateTable_tweets();
						break
			case "twitbin.dbtwitbin.truncateTable_cookies":
						twitbin.dbtwitbin.truncateTable_cookies();
						break
			case "twitbin.dbtwitbin.truncateTable_error_log":
						twitbin.dbtwitbin.truncateTable_error_log();
						break
			case "twitbin.dbtwitbin.truncateTable_twitbin":
						twitbin.dbtwitbin.truncateTable_twitbin();
						break
			case "twitbin.reports.add":
						twitbin.reports.add(data.p1[0]);
						break
			case "alert":
						alert(data.p1[0]);
						break
		}
	},

}//of prototype CallBack
